$values : 0 1 2 3 4 5 10 15 20 25 30 40 50 75 100 125 150 200 250 300 350 400 450 500;


//*************************
// Margins
//*************************
@each $item in $sizes {
   $size: get-grid-size($item);

   //
   @media (get-grid-breakpoint($item)) {
      @each $number in $values {
         .m#{$size}-#{$number} {
            margin: #{$number}px !important;
         }

         .ml#{$size}-#{$number} {
            margin-left: #{$number}px !important;
         }

         .mr#{$size}-#{$number} {
            margin-right: #{$number}px !important;
         }

         .mt#{$size}-#{$number} {
            margin-top: #{$number}px !important;
         }

         .mb#{$size}-#{$number} {
            margin-bottom: #{$number}px !important;
         }

         .mx#{$size}-#{$number} {
            @extend .mr#{$size}-#{$number};
            @extend .ml#{$size}-#{$number};
         }

         .my#{$size}-#{$number} {
            @extend .mt#{$size}-#{$number};
            @extend .mb#{$size}-#{$number};
         }

         //-------------------

         .m#{$size}-n#{$number} {
            margin: -#{$number}px !important;
         }

         .ml#{$size}-n#{$number} {
            margin-left: -#{$number}px !important;
         }

         .mr#{$size}-n#{$number} {
            margin-right: -#{$number}px !important;
         }

         .mt#{$size}-n#{$number} {
            margin-top: -#{$number}px !important;
         }

         .mb#{$size}-n#{$number} {
            margin-bottom: -#{$number}px !important;
         }

         .mx#{$size}-n#{$number} {
            @extend .mr#{$size}-n#{$number};
            @extend .ml#{$size}-n#{$number};
         }

         .my#{$size}-n#{$number} {
            @extend .mt#{$size}-n#{$number};
            @extend .mb#{$size}-n#{$number};
         }
      }

      @each $number in $values {
         .p#{$size}-#{$number} {
            padding: #{$number}px !important;
         }

         .pl#{$size}-#{$number} {
            padding-left: #{$number}px !important;
         }

         .pr#{$size}-#{$number} {
            padding-right: #{$number}px !important;
         }

         .pt#{$size}-#{$number} {
            padding-top: #{$number}px !important;
         }

         .pb#{$size}-#{$number} {
            padding-bottom: #{$number}px !important;
         }

         .px#{$size}-#{$number} {
            @extend .pr#{$size}-#{$number};
            @extend .pl#{$size}-#{$number};
         }

         .py#{$size}-#{$number} {
            @extend .pt#{$size}-#{$number};
            @extend .pb#{$size}-#{$number};
         }
      }
   }
}